Package wx :: Package lib :: Module pydocview :: Class GeneralOptionsPanel

[frames | no frames]

## Type GeneralOptionsPanel

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            GeneralOptionsPanel

A general options panel that is used in the OptionDialog to configure the generic properties of a pydocview application, such as "show tips at startup" and whether to use SDI or MDI for the application.

Method Summary
| ``__init__`(self, parent, id)` Initializes the panel by adding an "Options" folder tab to the parent notebook and populating the panel with the generic properties of a pydocview application.
| ``GetIcon`(self)` Return icon for options panel on the Mac.
| ``OnOK`(self, optionsDialog)` Updates the config based on the selections in the options panel.

Property Summary

Instance Method Details

### __init__(self, parent, id)
(Constructor)

Initializes the panel by adding an "Options" folder tab to the parent notebook and populating the panel with the generic properties of a pydocview application.

  Overrides:
    `wx.Panel.__init__`

### GetIcon(self)

Return icon for options panel on the Mac.

### OnOK(self, optionsDialog)

Updates the config based on the selections in the options panel.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:08 2007 | http://epydoc.sf.net